Setup
List Classifiers
https://api.synthesio.com/v1 /projects/{project_id}/setup/classifiers
Lists the classifiers and classifier tags in the setup of the project.
Path parameters#
project_id
string required
ID of the project
Responses#
Successful Response
classifiers array of object
classifiers[].id string
classifiers[].name string
classifiers[].color string nullable
Hexadecimal color code in #rrggbb format
classifiers[].tag_ids array of string
classifier_tags array of object
classifier_tags[].id string
classifier_tags[].color string nullable
Hexadecimal color code in #rrggbb format
classifier_tags[].name string
{
"classifiers": [
{
"id": "q5io1cvqqc6rwuf58y3o",
"name": "Mozzarella",
"color": "#c42207",
"tag_ids": [
"4llvrlbr2xw8xkt6rk4y"
]
},
{
"id": "flmf1l26pv9pibievrfu",
"name": "Pepperoni",
"color": "#2abb17",
"tag_ids": [
"4llvrlbr2xw8xkt6rk4y"
]
}
],
"classifier_tags": [
{
"id": "4llvrlbr2xw8xkt6rk4y",
"color": "#c42207",
"name": "Pizza toppings"
}
]
}Bad request
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Unauthorized
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Forbidden
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Not found
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Method not allowed
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Internal server error
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}